Error occurred while install a NEW HP DL380P Gen8 Server

While running with GNU GRUB version 0.97
Grub> setup –stage2=/boot/grub/stage2 –force-lba(HD0.1)(hd0.1)
Checking if “/boot/grub/stage1” exists… yes
Checking if “/boot/grub/stage2” exists… yes
Checking if “/boot/grub/e2fs_stage1_5” exists… yes
Running “embed /boot/grub/e2fs_stage1_5 (hd0.1)”… failed (this is not fatal)
Running “embed /boot/grub/e2fs_stage1_5 (hd0.1)”… failed (this is not fatal)
Running “ install –force-lba –stage2=/boot/grub/stage2 /boot/grub/stage1 (hd0.1) /boot/grub/stage2 p /boot/grub/menu.lst”,,, failed
Error 6: Mismatched or corrupt version of stage1/stage2

HP DL380P Gen8 server:
1 x E5-2609v2 – 4 core, 2.5GHz CPU
32 GB RAM
2 x 500 GB 6G SATA 7.2krpm HDD